Page MenuHomePhabricator

Missing interface messages on donatewiki
Closed, ResolvedPublic1 Story Points

Description

We appear to be missing at least the following interface messages on donatewiki:

  • donate_interface-amount-legend
  • donate_interface-amount-error

https://donate.wikimedia.org/?country=GB&uselang=en

This is confusing for donors. fr-tech, did you make any message changes recently?

Details

Related Gerrit Patches:

Event Timeline

Pcoombe created this task.May 25 2017, 11:07 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2017, 11:07 AM
Pcoombe renamed this task from Missing message "donate_interface-amount-legend" on donatewiki to Missing interface messages on donatewiki.May 25 2017, 8:10 PM
Pcoombe triaged this task as Unbreak Now! priority.
Pcoombe updated the task description. (Show Details)

Change 355660 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/core@master] Fix version of DonationInterface deployed to donatewiki

https://gerrit.wikimedia.org/r/355660

Ejegg added a subscriber: Ejegg.May 25 2017, 8:32 PM

Sorry, totally our fault. We were changing field names in DonationInterface to match the names used in queue messages and Civi.

At one point we had changed 'amount' to 'gross', which would have changed all those messages. We reverted the change, but in the meantime the deployment train had already picked up the broken version to deploy to the main cluster (including donatewiki).

We've got a patch scheduled for the next SWAT deploy window in 2 1/2 hrs that should restore those messages.

Ejegg added a comment.May 25 2017, 8:42 PM

Does donatewiki use any i18n keys that include currency_code? If so, those are renamed also, and are staying renamed. The new message keys just have 'currency' in place of 'currency_code'.

Ejegg added a comment.May 25 2017, 8:43 PM

Sorry for not coordinating this in advance

Change 355660 merged by jenkins-bot:
[mediawiki/core@master] Fix version of DonationInterface deployed to donatewiki

https://gerrit.wikimedia.org/r/355660

Thanks for the prompt response @Ejegg !

We don't use any currency_code messages afaik. I made a list of used messages in the related T166346.

Mentioned in SAL (#wikimedia-operations) [2017-05-25T23:56:54Z] <thcipriani@tin> Started scap: SWAT: [[gerrit:355660|Fix version of DonationInterface deployed to donatewiki]] T166302

Mentioned in SAL (#wikimedia-operations) [2017-05-26T00:16:39Z] <thcipriani@tin> Finished scap: SWAT: [[gerrit:355660|Fix version of DonationInterface deployed to donatewiki]] T166302 (duration: 19m 44s)

Ejegg closed this task as Resolved.May 26 2017, 2:33 AM
Ejegg claimed this task.

OK, this is looking good in multiple languages.

Ejegg set the point value for this task to 1.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Mass-moving all items tagged for MediaWiki 1.30.0-wmf.3, as that was never released; instead, we're using -wmf.4.